{% extends 'base.html.twig' %}
{% block title %}Product Détail{% endblock %}
{% block body %}
    {% set form = null %}
    {% set totalStars = 0 %}
    {% set cntOneStar = 0 %}
    {% set cntTwoStar = 0 %}
    {% set cntThreeStar = 0 %}
    {% set cntFourStar = 0 %}
    {% set cntFiveStar = 0 %}
    {% set totalComments = product.getComments().count %}
    {% set productComments = product.getComments() %}

    {% for comment in product.getComments() %}
        {% if comment.stars ==1 %}
            {% set cntOneStar = cntOneStar + 1 %}
        {% endif %}
        {% if comment.stars ==2 %}
            {% set cntTwoStar = cntTwoStar + 1 %}
        {% endif %}
        {% if comment.stars ==3 %}
            {% set cntThreeStar = cntThreeStar + 1 %}
        {% endif %}
        {% if comment.stars ==4 %}
            {% set cntFourStar = cntFourStar + 1 %}
        {% endif %}
        {% if comment.stars ==5 %}
            {% set cntFiveStar = cntFiveStar + 1 %}
        {% endif %}
        {% set totalStars = totalStars + comment.Stars %}

    {% endfor %}
    {% if totalComments != 0 %}
        {% set avgStars = totalStars / totalComments %}
    {% else %}
        {% set avgStars = 0 %}
    {% endif %}
    {% set avgStars = avgStars|round %}
    <!-- SECTION -->
    <div class="section">
        <!-- container -->
        <div class="container">
            <!-- row -->
            <div class="row">
                <!-- Product main img -->
                <div class="col-md-5 col-md-push-2">
                    <div id="product-main-img">
                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/' ~ product.image) }}" alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/1.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/2.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/3.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/4.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>
                    </div>
                </div>
                <!-- /Product main img -->

                <!-- Product thumb imgs -->
                <div class="col-md-2  col-md-pull-5">
                    <div id="product-imgs">
                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/' ~ product.image) }}" alt="{{ product.name }}">
                        </div>
                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/1.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/2.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/3.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>

                        <div class="product-preview">
                            <img src="{{ asset('assets/img/products/details/' ~ product.id ~ '/4.png' ) }}"
                                 alt="{{ product.name }}">
                        </div>
                    </div>
                </div>
                <!-- /Product thumb imgs -->

                <!-- Product details -->
                <div class="col-md-5">
                    <div class="product-details">
                        <h2 class="product-name">{{ product.name }}</h2>
                        <div>
                            <div class="product-rating">
                                {% if avgStars == 1 %}
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                {% elseif avgStars == 2 %}
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>

                                {% elseif  avgStars ==3 %}
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>

                                {% elseif  avgStars == 4 %}
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star-o empty"></i>

                                {% elseif  avgStars == 5 %}
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>

                                {% else %}
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                    <i class="fa fa-star-o empty"></i>
                                {% endif %}
                            </div>
                            <a class="review-link" href="#">{{ product.getComments().count() }} Commentaires(s)</a>
                        </div>
                        <div>
                            <h3 class="product-price">{{ product.promoPrice }}€
                                <del class="product-old-price">{{ product.price }}€</del>
                            </h3>
                            <span class="product-available">En Stock!</span>
                        </div>
                        {% for details in product.getProductDetails() %}
                            <p> {{ details.description }} </p>
                        {% endfor %}
                        <div class="product-options">
                            <label>
                                Size
                                <select class="input-select">
                                    <option value="0">X</option>
                                </select>
                            </label>
                            <label>
                                Color
                                <select class="input-select">
                                    <option value="0">Red</option>
                                </select>
                            </label>
                        </div>

                        <div class="add-to-cart">
                            <div class="qty-label">
                                Qty
                                <div class="input-number">
                                    <input type="number">
                                    <span class="qty-up">+</span>
                                    <span class="qty-down">-</span>
                                </div>
                            </div>
                            <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> Ajoutes au panier</button>
                        </div>

                        <ul class="product-btns">
                            <li><a href="#"><i class="fa fa-heart-o"></i> Ajouter au wishlist</a></li>
                            <li><a href="#"><i class="fa fa-exchange"></i> Comparer</a></li>
                        </ul>

                        <ul class="product-links">
                            <li>Categorie:</li>
                            <li><a href="#">{{ product.category.name }}</a></li>
                        </ul>

                        <ul class="product-links">
                            <li>Partager:</li>
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                            <li><a href="#"><i class="fa fa-google-plus"></i></a></li>
                            <li><a href="#"><i class="fa fa-envelope"></i></a></li>
                        </ul>

                    </div>
                </div>
                <!-- /Product details -->

                <!-- Product tab -->
                <div class="col-md-12">
                    <div id="product-tab">
                        <!-- product tab nav -->
                        <ul class="tab-nav">
                            <li class="active"><a data-toggle="tab" href="#tab1">Description</a></li>
                            <li><a data-toggle="tab" href="#tab2">Details</a></li>
                            <li><a data-toggle="tab" href="#tab3">Commentairs ({{ product.getComments().count() }})</a></li>
                        </ul>
                        <!-- /product tab nav -->

                        <!-- product tab content -->
                        <div class="tab-content">
                            <!-- tab1  -->
                            <div id="tab1" class="tab-pane fade in active">
                                <div class="row">
                                    <div class="col-md-12">
                                        {% for details in product.getProductDetails() %}
                                            <p> {{ details.description }} </p>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>
                            <!-- /tab1  -->

                            <!-- tab2  -->
                            <div id="tab2" class="tab-pane fade in">
                                <div class="row">
                                    <div class="col-md-12">
                                        {% for details in product.getProductDetails() %}
                                            <p> {{ details.details }} </p>
                                        {% endfor %}
                                    </div>
                                </div>
                            </div>
                            <!-- /tab2  -->

                            <!-- tab3  -->
                            <div id="tab3" class="tab-pane fade in">
                                <div class="row">
                                    <!-- Rating -->
                                    <div class="col-md-3">
                                        <div id="rating">
                                                <div class="rating-avg">
                                                    <div class="rating-stars">
                                                        <span>{{ avgStars }}</span>

                                                        {% if avgStars == 1 %}
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                        {% elseif avgStars == 2 %}
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>

                                                        {% elseif  avgStars ==3 %}
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>

                                                        {% elseif  avgStars == 4 %}
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o empty"></i>

                                                        {% elseif  avgStars == 5 %}
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>

                                                        {% else %}
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                            <i class="fa fa-star-o empty"></i>
                                                        {% endif %}
                                                    </div>
                                                </div>
                                                <ul class="rating">

                                                    <li>
                                                        <div class="rating-stars">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                        </div>
                                                        <div class="rating-progress">
                                                            <div style="width: {{ (totalComments != 0 ? cntFiveStar / totalComments : cntFiveStar)  * 100 }}%;"></div>
                                                        </div>
                                                        <span class="sum">{{ cntFiveStar }}</span>
                                                    </li>
                                                    <li>
                                                        <div class="rating-stars">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o"></i>
                                                        </div>
                                                        <div class="rating-progress">
                                                            <div style="width: {{ (totalComments != 0 ?  cntFourStar / totalComments : cntFourStar) * 100 }}%;"></div>
                                                        </div>
                                                        <span class="sum">{{ cntFourStar }}</span>
                                                    </li>
                                                    <li>
                                                        <div class="rating-stars">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                        </div>
                                                        <div class="rating-progress">
                                                            <div style="width: {{(totalComments != 0 ?  cntThreeStar / totalComments : cntThreeStar) * 100}}%;"></div>
                                                        </div>
                                                        <span class="sum">{{ cntThreeStar }}</span>
                                                    </li>
                                                    <li>
                                                        <div class="rating-stars">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                        </div>
                                                        <div class="rating-progress">
                                                            <div style="width: {{ (totalComments != 0 ?  cntTwoStar / totalComments : cntTwoStar) * 100}}%;"></div>
                                                        </div>
                                                        <span class="sum">{{ cntTwoStar }}</span>
                                                    </li>
                                                    <li>
                                                        <div class="rating-stars">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                            <i class="fa fa-star-o"></i>
                                                        </div>
                                                        <div class="rating-progress">
                                                            <div style="width: {{(totalComments != 0 ?  cntOneStar / totalComments : cntOneStar) * 100 }}%;"></div>
                                                        </div>
                                                        <span class="sum">{{ cntOneStar }}</span>
                                                    </li>

                                                </ul>

                                        </div>
                                    </div>
                                    <!-- /Rating -->

                                    <!-- Reviews -->
                                    <div class="col-md-6">
                                        <div id="reviews">
                                            <ul class="reviews">
                                                {% for comment in product.getComments() %}
                                                    <li>
                                                        <div class="review-heading">
                                                            <h5 class="name">{{ comment.getUser().firstName }} {{ comment.getUser().lastName }}</h5>
                                                            <p class="date">{{ comment.addDate|date('d/m/Y') }}</p>
                                                            <div class="review-rating">
                                                                {% if comment.stars == 1 %}
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>

                                                                {% elseif comment.stars == 2 %}
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>

                                                                {% elseif comment.stars ==3 %}
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                    <i class="fa fa-star-o empty"></i>

                                                                {% elseif comment.stars == 4 %}
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star-o empty"></i>
                                                                {% elseif comment.stars == 5 %}
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                    <i class="fa fa-star"></i>
                                                                {% endif %}
                                                            </div>
                                                        </div>
                                                        <div class="review-body">
                                                            <p>{{ comment.content }}</p>
                                                        </div>
                                                    </li>
                                                {% endfor %}
                                            </ul>
                                            <ul class="reviews-pagination">
                                                <div class="navigation">

                                                </div>

                                            </ul>
                                        </div>
                                    </div>
                                    <!-- /Reviews -->

                                    <!-- Review Form -->
                                    <div class="col-md-3">
                                        <div id="review-form">
                                            <form class="review-form">

                                                {% if is_granted('ROLE_USER') %}

                                                    <a class="primary-btn" href="{{ path('new_comment', {slug:product.slug}) }}">Ajouter un commentaire</a>

                                                {% else %}
                                                    <div class="review-form">Veuillez <a href="{{ path('app_login') }}" > s'identifier </a> pour ajouter un
                                                        commentaire
                                                    </div>
                                                {% endif %}
                                            </form>
                                        </div>
                                    </div>
                                    <!-- /Review Form -->
                                </div>
                            </div>
                            <!-- /tab3  -->
                        </div>
                        <!-- /product tab content  -->
                    </div>
                </div>
                <!-- /product tab -->
            </div>
            <!-- /row -->
        </div>
        <!-- /container -->
    </div>
    <!-- /SECTION -->

{% endblock %}